Subject: [alpine-devel] busybox-initscripts pidfiles

From: Sticky Cummings <[email-masked]>
Date: Sun, 23 Sep 2018 15:43:29 +0000

Hello,

I don't know if this is the right mailing lists for this. If it isn't,
please point me to the correct one and I'll resend this email.

All busybox-initscripts initd files for daemons define $pidfile. Yet,
neither busybox nor busybox-extras defines CONFIG_FEATURE_PIDFILE in
busyboxconfig, which makes most daemons from busybox-extras not much
usable from openrc, as although those programs call `write_pidfile`
it's rendered unusable for the lack of that configure feature
(include/libbb.h L1222 in busybox source)

Is there any way to deal with it, besides modifying busybox's aport
to enable that flag?

Cheers.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---